Package Details: brother-dcp585cw 1.1.2-2

Git Clone URL: (read-only)
Package Base: brother-dcp585cw
Description: LPR and CUPS driver for the Brother DCP585CW
Upstream URL:
Licenses: custom:brother commercial license
Submitter: None
Maintainer: notizblock
Last Packager: notizblock
Votes: 5
Popularity: 0.000000
First Submitted: 2014-05-26 13:52
Last Updated: 2015-06-08 17:37

Latest Comments

notizblock commented on 2012-09-12 10:33

if anyone experience margin problems (no top margin; huge bottom margin), you could try the following:

Edit the paper size parameter in "/usr/local/Brother/Printer/dcp585cw/inf/brdcp585cwrc" to the paper size.
For example, change "Letter" to "A4"

pascallemazurier commented on 2011-03-06 23:07

The source files are not found... So the driver installation doesn't work then...

Anonymous comment on 2011-02-01 22:40

New Version #9 contains a2ps in depends array.
Thank you wain.

Anonymous comment on 2011-02-01 21:24

I can't print anything without a2ps package:
D [01/Feb/2011:19:09:36 +0100] [Job 19] /usr/local/Brother/Printer/dcp585cw/lpd/filterdcp585cw: line 57: a2ps : command not found
Should be added as dep


Anonymous comment on 2010-12-18 13:10

your PKGBUILD is now online notizblock. :-)

Great work!

notizblock commented on 2010-11-30 20:04

i updated the pkgbuild. it works for me (x86_64)
-makedepends and depends changed
-|| return 1 removed
-$startdir/xxx changed to $xxxdir

Anonymous comment on 2010-11-30 19:18

I have no clue if i'm honest.
I just copied the PKGBUILD from dcp c130 printer driver. You can find it here in the aur.

just remove it and check if it works without tcsh.
Later this week I get a new computer. So i have to fresh install Arch.
Good chance to test the installation without tcsh.

notizblock commented on 2010-11-30 18:17

i'am just curious, why is tcsh as dependency needed?